"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const cancel_1 = require("./routes/cancel");
const load_1 = require("./routes/load");
const popcorn_time_1 = require("./routes/popcorn-time");
const search_1 = require("./routes/search");
class Router {
    constructor(expressApp, torrentProxy, popcornTimeApi) {
        expressApp.get('/load/:magnet', (...args) => load_1.default(torrentProxy).get(...args));
        expressApp.get('/search/:query', (...args) => search_1.default(torrentProxy).get(...args));
        expressApp.get('/cancel/', (...args) => cancel_1.default(torrentProxy).get(...args));
        expressApp.get('/popcorn/*', (incomingMessage, res) => popcorn_time_1.default(popcornTimeApi).get(incomingMessage, res));
    }
    ;
}
exports.default = Router;
;
//# sourceMappingURL=index.js.map